Package ru.bitel.bgbilling.plugins.crm.common.model

# Class PersonalRegisterTask.Builder

java.lang.Object
ru.bitel.bgbilling.plugins.crm.common.model.PersonalRegisterTask.Builder

Enclosing class:
  `PersonalRegisterTask`

public static class PersonalRegisterTask.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PersonalRegisterTask`
  `build()`
  `PersonalRegisterTask.Builder`
  `setArea(String area)`
  `PersonalRegisterTask.Builder`
  `setCity(String city)`
  `PersonalRegisterTask.Builder`
  `setContract(String contract)`
  `PersonalRegisterTask.Builder`
  `setContractComment(String contractComment)`
  `PersonalRegisterTask.Builder`
  `setFio(String fio)`
  `PersonalRegisterTask.Builder`
  `setFlat(String flat)`
  `PersonalRegisterTask.Builder`
  `setFloor(int floor)`
  `PersonalRegisterTask.Builder`
  `setHouse(String house)`
  `PersonalRegisterTask.Builder`
  `setObjectTitle(String objectTitle)`
  `PersonalRegisterTask.Builder`
  `setPhone(String phone)`
  `PersonalRegisterTask.Builder`
  `setPod(int pod)`
  `PersonalRegisterTask.Builder`
  `setQuarter(String quarter)`
  `PersonalRegisterTask.Builder`
  `setStreet(String street)`
  `PersonalRegisterTask.Builder`
  `setTask(RegisterTask task)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setArea

    public PersonalRegisterTask.Builder setArea(String area)

  - ### setCity

    public PersonalRegisterTask.Builder setCity(String city)

  - ### setContract

    public PersonalRegisterTask.Builder setContract(String contract)

  - ### setContractComment

    public PersonalRegisterTask.Builder setContractComment(String contractComment)

  - ### setFio

    public PersonalRegisterTask.Builder setFio(String fio)

  - ### setFlat

    public PersonalRegisterTask.Builder setFlat(String flat)

  - ### setFloor

    public PersonalRegisterTask.Builder setFloor(int floor)

  - ### setHouse

    public PersonalRegisterTask.Builder setHouse(String house)

  - ### setObjectTitle

    public PersonalRegisterTask.Builder setObjectTitle(String objectTitle)

  - ### setPhone

    public PersonalRegisterTask.Builder setPhone(String phone)

  - ### setPod

    public PersonalRegisterTask.Builder setPod(int pod)

  - ### setQuarter

    public PersonalRegisterTask.Builder setQuarter(String quarter)

  - ### setStreet

    public PersonalRegisterTask.Builder setStreet(String street)

  - ### setTask

    public PersonalRegisterTask.Builder setTask(RegisterTask task)

  - ### build

    public PersonalRegisterTask build()